#include <iostream>
#include <cmath>
#include <limits.h>
using namespace std;

int main()
{
    long long int n, x, k, kPoz, kPozMax=LLONG_MIN, kNeg, kNegMax1=LLONG_MAX, rez, kNegMax, brNeg=0, brPoz=0;
    cin>>n>>x;
    for(int i=0; i<n; i++)
        {
            cin>>k;
            if(k>=x)
            {
                kPoz=k-x;
                if(kPoz>kPozMax)
                {
                    kPozMax=kPoz;
                }
                brPoz=1;
            }
            else
            {
                kNeg=k-x;
                if(kNeg<kNegMax1)
                {
                    kNegMax1=kNeg;
                }
                brNeg=1;
            }
        }
    kNegMax=abs(kNegMax1);
    if(brNeg!=0 && brPoz!=0)
    {
        if(kPozMax>=kNegMax)
        {
            rez= 2*kNegMax + kPozMax;
        }
        else
        {
            rez= 2*kPozMax + kNegMax;
        }
        cout<<rez<<endl;
        return 0;
    }
    else if(brPoz!=0 && brNeg==0)
    {
        rez= kPozMax;
        cout<<rez<<endl;
        return 0;
    }
    rez=kNegMax;
    cout<<rez<<endl;
    return 0;
}